Skip to main content
POST
/
api
/
v1
/
emails
/
batch
Send emails in batch
curl --request POST \
  --url https://api.torpedo.co.mz/api/v1/emails/batch \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "emails": [
    {
      "from": "Acme <hello@myapp.com>",
      "to": "alice@example.com",
      "subject": "Welcome",
      "html": "<h1>Welcome!</h1>"
    },
    {
      "from": "Acme <hello@myapp.com>",
      "to": "bob@example.com",
      "subject": "Welcome",
      "html": "<h1>Welcome!</h1>"
    }
  ]
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "queued"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Prefix tor_ followed by a base64url-encoded random key. Obtain one from POST /api/v1/workspaces or POST /api/v1/auth/keys.

Body

application/json
emails
object[]
required
Required array length: 1 - 1000 elements

Response

All emails queued for delivery

data
object[]